/*!
	補助マネージャ管理クラス
*/
#include "StdAfx.h"
#include "SupportManagers.h"

CSupportManagers::CSupportManagers(void)
{
}

CSupportManagers::~CSupportManagers(void)
{
}

//////////////////////////////////////////////////////////////////////////////////////////////
//	初期化・終了
//////////////////////////////////////////////////////////////////////////////////////////////
/*!
	開始
*/
void CSupportManagers::Start(CIServerToolWrap serverTool)
{
	//	初期化チェック
	ASSERT(!m_init);
	m_init = TRUE;

	//	変数コピー
	m_serverTool = serverTool;

	//	情報マネージャ初期化
	m_serverInfoManager.Start(m_serverTool);

	//	アクセスログマネージャ起動
	m_logManager.Start(m_serverTool);

	//	パスマネージャ初期化
	m_pathManager.Start(m_serverTool);

	//	サーバテキストマネージャ起動
	m_serverTextManager.Start(m_serverTool);

	//	MimeTypeマネージャ初期化
	m_mineTypeManager.Start(m_serverTool);

	//	CGIマネージ初期化
	m_cgiManager.Start(m_serverTool);
}

/*!
	停止
*/
void CSupportManagers::Stop()
{
	//	初期化チェック
	if(!m_init)
		return;
	m_init = FALSE;

	//	CGIマネージャ停止
	m_cgiManager.Stop();

	//	MimeTypeマネージャ停止
	m_mineTypeManager.Stop();

	//	サーバテキストマネージャ停止
	m_serverTextManager.Stop();

	//	パスマネージャ停止
	m_pathManager.Stop();

	//	アクセスログマネージャ停止
	m_logManager.Stop();

	//	情報マネージャ停止
	m_serverInfoManager.Stop();
}
